#include <stdint.h>
#include <stdlib.h>

#define SIZE 5

void zero_buffer(uint8_t *buf) {
  for (size_t i = 0; i <= SIZE; i++) {
    buf[i] = 0;
  }
}

void set_buffer_one(uint8_t *buf) {
  for (size_t i = 0; i < SIZE; i++) {
    buf[i] = 1;
  }
}

void foo() {
  uint8_t *buf1 = (uint8_t*) malloc(sizeof(uint8_t)*SIZE);
  uint8_t *buf2 = (uint8_t*) malloc(sizeof(uint8_t)*SIZE);


  set_buffer_one(buf2);
  zero_buffer(buf1);
}

int main() {
  foo();
  return 0;
}
